
/*

                        LICENCIA

1. Este programa puede ser ejecutado sin ninguna restriccin
   por parte del usuario final del mismo.

2. La  Universitat Jaume I autoriza la copia y  distribucin
   del programa con cualquier fin y por cualquier medio  con
   la  nica limitacin de que, de forma  apropiada, se haga
   constar  en  cada  una  de las copias la  autora de esta  
   Universidad  y  una reproduccin  exacta de las presentes 
   condiciones   y   de   la   declaracin  de  exencin  de 
   responsabilidad.

3. La  Universitat  Jaume  I autoriza  la  modificacin  del
   software  y  su  redistribucin  siempre que en el cambio
   del  cdigo  conste la autora de la Universidad respecto  
   al  software  original  y  la  url de descarga del cdigo
   fuente  original. Adems, su denominacin no debe inducir 
   a  error  o  confusin con el original. Cualquier persona
   o  entidad  que  modifique  y  redistribuya  el  software 
   modificado deber  informar de tal circunstancia mediante
   el  envo  de  un  mensaje  de  correo  electrnico  a la 
   direccin  clauer@uji.es  y  remitir una copia del cdigo 
   fuente modificado.

4. El  cdigo  fuente  de todos los programas amparados bajo 
   esta licencia  est  disponible para su descarga gratuita
   desde la pgina web http//:clauer.uji.es.

5. El hecho en s del uso, copia o distribucin del presente 
   programa implica la aceptacin de estas condiciones.

6. La  copia y distribucin del programa supone la extensin 
   de las presentes condiciones al destinatario.
   El  distribuidor no puede imponer condiciones adicionales
   que limiten las aqu establecidas.

       DECLARACIN DE EXENCIN DE RESPONSABILIDAD

Este  programa  se  distribuye  gratuitamente. La Universitat 
Jaume  I  no  ofrece  ningn  tipo de garanta sobre el mismo
ni acepta ninguna responsabilidad por su uso o  imposibilidad
de uso.

*/

#include "nls.h"

#ifndef MAC
int nls_lang_init()
{
  
#ifdef WIN32
  char str_codepage[64];
  UINT codepage; 
#endif 
    
    /* Reset the locale variables LC_* */
    setlocale(LC_ALL, "");
  
#ifdef LINUX
  setlocale(LC_TIME, "" );
  setlocale(LC_MESSAGES, "");
#endif
 

  /* Bind with MO File */
  bindtextdomain( PACKAGE, LOCALE_PATH );
  textdomain( PACKAGE );

  /* Get system locale codepage and set gettext 
   * translation to this locale codepage. 
   */
  
#ifdef LINUX 
  if ( ! bind_textdomain_codeset( PACKAGE, nl_langinfo(CODESET) )){
    fprintf(stderr,_("[ERROR] Changing the language to your locale codepage, messages will be printed in English"));
    return 1;
  }
#elif WIN32
  codepage= GetConsoleOutputCP(); 
  str_codepage[0]='C';  str_codepage[1]='P';
  _itoa_s( codepage, str_codepage+2, 62 , 10 ); 
  
  // printf( "OBTENIDO CODEPAGE: %s y codepage del terminal= %d \n", str_codepage, codepage );
  // A pesar de que la funcin GetConsoleOutput parece que nos indica que el codepage es CP850,
  // el codepage que muestra bien los acentos tanto abiertos como cerrados es el CP1252, existe
  // un problema al mostrar mayusculas acentuadas.
  if ( ! bind_textdomain_codeset( PACKAGE, str_codepage )){
    fprintf(stderr,_("[ERROR] Changing the language to your locale codepage, messages will be printed in English"));
    return 1;
  }
#endif
  return 0;
}
#endif
